Subject: Re: bug#5078: 23.1.50; vc broken

From: Leo <[email-masked]>
Date: Mon, 30 Nov 2009 23:33:02 +0000

On 2009-11-30 19:59 +0000, Dan Nicolaescu wrote:
[...]
>   > I think I am seeing an odd bug.
>   > 
>   > There's a file in one of my projects that Emacs (with -Q) VC can't see
>   > its changes. However, I can use magit to see its changes without any
>   > problem. I tried to reproduce this problem with a newly created git repo
>   > but with no luck.
>   > 
>   > Could you let me know how I can debug this further? Thanks.
>
>
> With the file that you have problems with in the current buffer, try to debug:
>
> M-: (vc-git-state (buffer-file-name)) RET

That returns: up-to-date

while the difference is:

@@ -27,7 +27,7 @@
-\DeclareSymbolFont{numbers}{OT1}{cmr}{m}{n}
+     dkdk\DeclareSymbolFont{numbers}{OT1}{cmr}{m}{n}

Leo